BcDSAContentSignerBuilder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.operator.bc

## Class BcDSAContentSignerBuilder

- java.lang.Object
- - org.bouncycastle.operator.bc.BcContentSignerBuilder
  - - org.bouncycastle.operator.bc.BcDSAContentSignerBuilder

-     public class BcDSAContentSignerBuilder
      extends BcContentSignerBuilder

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.operator.bc.BcContentSignerBuilder

      `digestProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcDSAContentSignerBuilder(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId, org.bouncycastle.asn1.x509.AlgorithmIdentifier digAlgId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.bouncycastle.crypto.Signer` | `createSigner(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId, org.bouncycastle.asn1.x509.AlgorithmIdentifier digAlgId)`

    - ### Methods inherited from class org.bouncycastle.operator.bc.BcContentSignerBuilder

      `build, setSecureRandom`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcDSAContentSignerBuilder

          public BcDSAContentSignerBuilder(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId,
                                   org.bouncycastle.asn1.x509.AlgorithmIdentifier digAlgId)

  - ### Method Detail

    - #### createSigner

          protected org.bouncycastle.crypto.Signer createSigner(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId,
                                                    org.bouncycastle.asn1.x509.AlgorithmIdentifier digAlgId)
                                                         throws OperatorCreationException

      Specified by:
        `createSigner` in class `BcContentSignerBuilder`
      Throws:
        `OperatorCreationException`